summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Thomas Szteliga <ts@websafe.pl>2016-09-17 07:58:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-17 07:58:52 +0700
commit8045aefdaac2ae8c92b5201e07763a7e17077dde (patch)
tree07e75cff51485bb94c3ae999b0a5ef44374cc43d /network
parent4a3d751ad2beb89a9975640898d46f1715d79902 (diff)
downloadslackbuilds-8045aefdaac2ae8c92b5201e07763a7e17077dde.tar.gz
slackbuilds-8045aefdaac2ae8c92b5201e07763a7e17077dde.tar.xz
network/glusterfs: Added (scalable network filesystem).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/glusterfs/README7
-rw-r--r--network/glusterfs/doinst.sh31
-rw-r--r--network/glusterfs/glusterfs.SlackBuild124
-rw-r--r--network/glusterfs/glusterfs.info10
-rw-r--r--network/glusterfs/slack-desc19
5 files changed, 191 insertions, 0 deletions
diff --git a/network/glusterfs/README b/network/glusterfs/README
new file mode 100644
index 0000000000..a35765b5d9
--- /dev/null
+++ b/network/glusterfs/README
@@ -0,0 +1,7 @@
+glusterfs (scalable network filesystem)
+
+GlusterFS is a scalable network filesystem. Using common
+off-the-shelf hardware, you can create large, distributed storage
+solutions for media streaming, data analysis, and other data- and
+bandwidth-intensive tasks. GlusterFS is free and open source
+software.
diff --git a/network/glusterfs/doinst.sh b/network/glusterfs/doinst.sh
new file mode 100644
index 0000000000..71a4cb9407
--- /dev/null
+++ b/network/glusterfs/doinst.sh
@@ -0,0 +1,31 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/ganesha/ganesha-ha.conf.sample.new
+config etc/glusterfs/glusterd.vol.new
+config etc/glusterfs/group-virt.example.new
+config etc/glusterfs/logger.conf.example.new
+config etc/logrotate.d/glusterfs-georep.new
+config etc/logrotate.d/glusterfs.new
+preserve_perms etc/rc.d/rc.glusterd.new
diff --git a/network/glusterfs/glusterfs.SlackBuild b/network/glusterfs/glusterfs.SlackBuild
new file mode 100644
index 0000000000..99459aee73
--- /dev/null
+++ b/network/glusterfs/glusterfs.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for GlusterFS
+
+# Copyright (c) 2016 Thomas Szteliga <ts@websafe.pl>, Opole, PL
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=glusterfs
+VERSION=${VERSION:-3.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-tiering \
+ LEXLIB=
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f \
+ $PKG/etc/$PRGNAM/gluster-rsyslog-5.8.conf \
+ $PKG/etc/$PRGNAM/gluster-rsyslog-7.2.conf
+
+install -D -m 0755 extras/command-completion/gluster.bash \
+ $PKG/etc/bash_completion.d/gluster-bash-completion.sh
+
+mv $PKG/etc/ganesha/ganesha-ha.conf.sample \
+ $PKG/etc/ganesha/ganesha-ha.conf.sample.new
+
+mv $PKG/etc/$PRGNAM/glusterd.vol $PKG/etc/$PRGNAM/glusterd.vol.new
+mv $PKG/etc/$PRGNAM/group-virt.example $PKG/etc/$PRGNAM/group-virt.example.new
+mv $PKG/etc/$PRGNAM/logger.conf.example $PKG/etc/$PRGNAM/logger.conf.example.new
+
+mkdir -p $PKG/etc/logrotate.d
+mv $PKG/etc/$PRGNAM/glusterfs-logrotate $PKG/etc/logrotate.d/glusterfs.new
+mv $PKG/etc/$PRGNAM/glusterfs-georep-logrotate \
+ $PKG/etc/logrotate.d/glusterfs-georep.new
+
+install -D -m 0644 extras/init.d/glusterd-Redhat $PKG/etc/rc.d/rc.glusterd.new
+
+cp -a COPYING-GPLV2 COPYING-LGPLV3 README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/glusterfs/glusterfs.info b/network/glusterfs/glusterfs.info
new file mode 100644
index 0000000000..59a1605139
--- /dev/null
+++ b/network/glusterfs/glusterfs.info
@@ -0,0 +1,10 @@
+PRGNAM="glusterfs"
+VERSION="3.8.4"
+HOMEPAGE="https://www.gluster.org/"
+DOWNLOAD="http://download.gluster.org/pub/gluster/glusterfs/LATEST/glusterfs-3.8.4.tar.gz"
+MD5SUM="9e1bf53947c263f774e45fbe3e6b9236"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="liburcu"
+MAINTAINER="Thomas Szteliga"
+EMAIL="ts@websafe.pl"
diff --git a/network/glusterfs/slack-desc b/network/glusterfs/slack-desc
new file mode 100644
index 0000000000..415333d3cb
--- /dev/null
+++ b/network/glusterfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glusterfs: glusterfs (scalable network filesystem)
+glusterfs:
+glusterfs: GlusterFS is a scalable network filesystem. Using common
+glusterfs: off-the-shelf hardware, you can create large, distributed storage
+glusterfs: solutions for media streaming, data analysis, and other data- and
+glusterfs: bandwidth-intensive tasks. GlusterFS is free and open source
+glusterfs: software.
+glusterfs:
+glusterfs: Project homepage: https://www.gluster.org/
+glusterfs:
+glusterfs: